changeset 7d7465deb2a6 in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset;node=7d7465deb2a6
description:
app-tryton/account: Versions bump
Signed-off-by: Cédric Krier <[email protected]>
(Portage version: 2.3.66/hg/Linux x86_64, signed Manifest commit with
key 0x574F6EFF4E477517)
diffstat:
app-tryton/account/Manifest | 28 ++++++++++++------------
app-tryton/account/account-4.8.8.ebuild | 38 ---------------------------------
app-tryton/account/account-4.8.9.ebuild | 38 +++++++++++++++++++++++++++++++++
app-tryton/account/account-5.0.6.ebuild | 38 ---------------------------------
app-tryton/account/account-5.0.7.ebuild | 38 +++++++++++++++++++++++++++++++++
app-tryton/account/account-5.2.0.ebuild | 38 ---------------------------------
app-tryton/account/account-5.2.1.ebuild | 38 +++++++++++++++++++++++++++++++++
7 files changed, 128 insertions(+), 128 deletions(-)
diffs (299 lines):
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/Manifest
--- a/app-tryton/account/Manifest Thu May 16 23:15:09 2019 +0200
+++ b/app-tryton/account/Manifest Wed Jun 12 12:05:48 2019 +0200
@@ -5,29 +5,29 @@
DIST trytond_account-4.2.11.tar.gz 384774 BLAKE2B
313c33e055ba6a51935a43065c760808ef4f3a4a41946bdbde50d170fa9273e5c407feba2b41e66db0755af621e77281adbed0604c9b411aa1ae9f95c69e8345
SHA512
d6e9b605940b9322e6d3d590b5a57fd22ee5e55ec3a3b18bf62e635afb610a7098f55f6ec970569a964fe4657bce9595938f89cbbfc0f5497b34894d92138874
DIST trytond_account-4.4.10.tar.gz 397969 BLAKE2B
857e0f237576963fa092025b18b5d5359aa2a3b6f0e8cda1e8e41bb8e4c2088eb891006ec0507f627ad19e6cbf7fd536b1ee9597b2f1d6e9443af98048d665b5
SHA512
8dc13a38fa0816e26469dfaaf43016b5d3f4ffa57f80c4b0daa65c60934e4b91aa35ba4549e1f8f8f1db51e1be29de8e7a1a8b3ea9dc6e3ac1113294a32b26eb
DIST trytond_account-4.6.9.tar.gz 367007 BLAKE2B
c2c16cfdcde595e9704bf7c039199210eab612ff5e89574fe5d4331346d09de86e7dcf7e634a958cbeb6fc0ae4889cebfa01ea1ee5635f999c573430eebdf2b3
SHA512
808c135c8528e9fde11150c786eb39a7a7465dfc8569221ea3faf0ae446e8f43bf7811ee4ffca1e73de9b313bd22d40bc4d656eb3ec6bd9429a2ffc64e04a9c3
-DIST trytond_account-4.8.8.tar.gz 402331 BLAKE2B
46d5fdd300a96e731e5d1580f822d943514a4234c53f1a41a65eb11fb0d77457ed2b614d031a943ebcc8a8c346798cd29b8ead43b146a66297d4bc3cb38c416f
SHA512
08dde7110ac5aee72f76ee8cb890d52a1e5936f163612306c8479bd72b9006993d47e4bf705c51ac4fdea85bd0ce226b153e9d933f6e77b2f8a4495844116a4d
-DIST trytond_account-5.0.6.tar.gz 399264 BLAKE2B
1df18d414fd519507ae030fe657bd2efef11b8151e00411f2ba5231b114cf8777c423037428501f95f8fe2875b44d7b791441b2346c26c88eaa978f17856660a
SHA512
e49e390d0e77d3fcd1d0c8dec52935299b6034f84d2588e1f78066c57c92af0ed247412a5a27645f4cf38c4dd79280ad7fc7472e04a3331d25803b5ffdc4e32c
-DIST trytond_account-5.2.0.tar.gz 448445 BLAKE2B
31908fcf896bb0debc2acbdbea37e1ebe865a89ce3b8c8813d775e4374b24608d80386375dce4f49c9872fa379f5603d80b967fb45cf87c1c69dc384225a9328
SHA512
07882d45f5899ad975451b2818b3af17e701badd75cb8fcd633eb830c699e59f62730e8e9560d851b6d4f22039b09f285a904ccb4d5de8ef605e0287011e1792
+DIST trytond_account-4.8.9.tar.gz 402384 BLAKE2B
28d07589af38b4bb8f3cc2e909ad55a6c5f26a9764c4233af066adb21dd25e2456b26ab61d708e911ceaad143879c549168f90cdecb5b9f25c9e4fba49f1deb0
SHA512
f652e7182613b41329ba2592608a96230a4a1de82e5ff83f6b6132ef3a68652a07bf6c72b78ef4007e7541e0a4b2eed004d2c50d39a59994a89842804999593e
+DIST trytond_account-5.0.7.tar.gz 399366 BLAKE2B
bb9381263eca7c318ef0d3bf7c782c83c38e05fa04ae5c494c556239a897091183bfbe4ba3648862fe9918625ca7bea7e51ed87ab80db61b08e1b7d6dd5bdae7
SHA512
ef49776cf4c947a12decf7bc318651a768625587d1f1dcbca41ce6fc662849ad22daa5c63a560adbda2cd7805e1e27fc472416a1382dc8100f770abb7a70872e
+DIST trytond_account-5.2.1.tar.gz 448315 BLAKE2B
811b108ac1ff946742a2ac7bc380a26002b13c0aed2212d53f428421a33a485283e0dd866490a20b02247091f0acd19281e6f499f8d07ee067829ed186f9dea2
SHA512
e20813deccb15e5642a8fb114a343e74e9abc5d8b98f4b4a465f66007118e590d8736217e6d33a42361280f43be068dd234033fd7b54894ec5be36af60734596
EBUILD account-4.0.16.ebuild 1080 BLAKE2B
5c136b6a81f30418a26a696c22b1f6fcdc2c60f783ad0c8a6684756a1db807ed0825a73f3f8a5fcc3c3af463a6fb473c10e9a9b7eda7adea85c150712c4f7e6e
SHA512
9e4da838f5ef80b63d6bc119f1ab67b3a32eb94812a408fdfd754fd91fe0b951ad55fd8b1dd5480e6b3cda5fa89326e96d32632137a797e183974f7ef367a1e7
EBUILD account-4.2.11.ebuild 1158 BLAKE2B
fd44e7eb571d7f18b29281a71d4d7dbaaa344c8b47666f8be313f9f4ceacb3e8569fcb6149a8c0846ed4280dcd83b689816d7941b875d35c06864ecfa44b2f7f
SHA512
6a3f7485812af70ba4b904a7ceed841f1c361c0db2dd0d7637a22a90b6becde6fc888719adf871754734eb87132f9941eec7d032f43d03493b23673bbb15974b
EBUILD account-4.4.10.ebuild 1158 BLAKE2B
fd44e7eb571d7f18b29281a71d4d7dbaaa344c8b47666f8be313f9f4ceacb3e8569fcb6149a8c0846ed4280dcd83b689816d7941b875d35c06864ecfa44b2f7f
SHA512
6a3f7485812af70ba4b904a7ceed841f1c361c0db2dd0d7637a22a90b6becde6fc888719adf871754734eb87132f9941eec7d032f43d03493b23673bbb15974b
EBUILD account-4.6.9.ebuild 1158 BLAKE2B
2d001f6613cc0be9f7d4f82ec5041bd9869d58f7aa19a54b6aa3f183a2ab2f73cdd28e93cc7a396819815793f42f1e28f2127b22116bfbc2f18c72f81973b51e
SHA512
52c5baacde5593fac7e535be09003a582a75ec53d41548bd4a1c4d30da92e69848751b0f7bb9aeb4c41faf25bbed5332a2fe2af6fdedc61146bbf3276fecdd71
-EBUILD account-4.8.8.ebuild 1158 BLAKE2B
2d001f6613cc0be9f7d4f82ec5041bd9869d58f7aa19a54b6aa3f183a2ab2f73cdd28e93cc7a396819815793f42f1e28f2127b22116bfbc2f18c72f81973b51e
SHA512
52c5baacde5593fac7e535be09003a582a75ec53d41548bd4a1c4d30da92e69848751b0f7bb9aeb4c41faf25bbed5332a2fe2af6fdedc61146bbf3276fecdd71
-EBUILD account-5.0.6.ebuild 1026 BLAKE2B
200882a67fe4988c412b193234fb91728b0a209aca4d108e05157ab41c57b7a8c984305ebf750b2c148fb26dd239e9d48b1d6e3def751c1533a167b888f74e58
SHA512
b21ba4ca9b56b29a951089b73990f6c1bbcacf691e2af12fb8534428202cbc9c70530da3b3ea487bc94dddaf400f3f7169d616aaeb79285119d5d5832fb56b49
-EBUILD account-5.2.0.ebuild 1015 BLAKE2B
2e5234ea6a0b7b4ddb867c124358083e6a9edc4f06ea7c57db0a6958a72bb49250aa3cd4087eabe5ced72f1bf4c9deba60424d9d5b7c1ae6fe4ea9fc73a9f530
SHA512
ca0fe47d83c4662b589c0153b290bb05efda0ec82a7729c9a0cd4cddc84d58a63c53986dd495a21a54788805ba1d3e4f8d4c57fbba7627d8ca3ab059a62c6d3a
+EBUILD account-4.8.9.ebuild 1158 BLAKE2B
2d001f6613cc0be9f7d4f82ec5041bd9869d58f7aa19a54b6aa3f183a2ab2f73cdd28e93cc7a396819815793f42f1e28f2127b22116bfbc2f18c72f81973b51e
SHA512
52c5baacde5593fac7e535be09003a582a75ec53d41548bd4a1c4d30da92e69848751b0f7bb9aeb4c41faf25bbed5332a2fe2af6fdedc61146bbf3276fecdd71
+EBUILD account-5.0.7.ebuild 1026 BLAKE2B
200882a67fe4988c412b193234fb91728b0a209aca4d108e05157ab41c57b7a8c984305ebf750b2c148fb26dd239e9d48b1d6e3def751c1533a167b888f74e58
SHA512
b21ba4ca9b56b29a951089b73990f6c1bbcacf691e2af12fb8534428202cbc9c70530da3b3ea487bc94dddaf400f3f7169d616aaeb79285119d5d5832fb56b49
+EBUILD account-5.2.1.ebuild 1015 BLAKE2B
2e5234ea6a0b7b4ddb867c124358083e6a9edc4f06ea7c57db0a6958a72bb49250aa3cd4087eabe5ced72f1bf4c9deba60424d9d5b7c1ae6fe4ea9fc73a9f530
SHA512
ca0fe47d83c4662b589c0153b290bb05efda0ec82a7729c9a0cd4cddc84d58a63c53986dd495a21a54788805ba1d3e4f8d4c57fbba7627d8ca3ab059a62c6d3a
MISC ChangeLog 12824 BLAKE2B
7c8bf2de8649e290d0154b6628056cdbad20dd216503b38fee097b71661c5cd81ca1c5f05261e1dd4c1dad81bde52f299dae103dbe948d74d2ae80292114b14b
SHA512
fcdf689d708051d228bfcf37a56d4ad41a816719d86d5ea9c172cd190dd5dfe2cb2fcca49ac2e124abbbb57b5e343c38732d5fdfb8da921812d8fca8dbefe164
MISC metadata.xml 291 BLAKE2B
ed7f77a7a8105942a2cb0e3c12b2cdb80ed4e923a4cbf250d6935b15e080ce4272b64569ae5934c4e61705e54671b4d027006c6b31966aaa5dd04621e9eacf80
SHA512
015214f0a3deb8cc392306ef625345315d1a932d06755a7d231f8e47023902a8bafed2d6442ffcc3fad5f86ce70fdf4de974c1ce28eb78cda035d11bdee368e3
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
-iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAlzdlvBfFIAAAAAALgAo
+iQGTBAEBCAB9FiEEdP/VdIYNMe45RAljV09u/05HdRcFAl0AzntfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDc0
RkZENTc0ODYwRDMxRUUzOTQ0MDk2MzU3NEY2RUZGNEU0Nzc1MTcACgkQV09u/05H
-dRfmJQf+ILMwZiZL86iWhOWH3PZZwjaRswZ1gzGx9y3rdwoPUilr2CEXsEtj06gr
-GYEH1pPfzAPNw3lxt9+Mf49veWJ+iCw5rQxh0Gq5J/ChQ3ZFPNMUz26opvdbhJxP
-MM66bpvllf+H9oOQL+0P3JjR1nfsFN/iQGytevoodQVsGGVEWRMkAlecC4doR39z
-G8VJBjE+m4CQ635fp8c8gW2G+945aIXnFjqth4cYN2xmla3hoACCkua7PQR3IzkH
-VZJblEMSslMjQt+gwYf2DHKerwVYkK+3CmH8Y+0yye8pgQi24mPhP0xBD4aEwIJY
-JZVJNmqgN17OGncSACk/EMfG88ORVA==
-=CKdU
+dRdmpgf+KyRQ/EmdpUxmU6KzV9Whlnt/X/lNCIexLR34jmXhdR3q3NWIRjv6B4cP
+Gn0cy3b9t4GREwiysqCGQg06ON86Rh4cFjfWmbDo4xAAw47VJyT2+S1+V+nFi4vz
+TV8PJVRYanaCEw8XeKiKn/wqa5CzAyT0bDNEWePvn+74Wh8aoTBzzerlV0kz1NEg
+6ysnRqaFEEl3c7QoEe0106NxBxFCS2xX5pg5ccLHGnDWpgONVlgNrZWNFi7yk5uP
+TUZpg5rRqv6VAYPX/oF99EajW4Xb1NHCOFEzO0ju5CHxub3Hc/T+51UNvVXrW2A3
+v8kVFD/VHVqjy+zf+s6pA1v46pLoAQ==
+=g49D
-----END PGP SIGNATURE-----
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-4.8.8.ebuild
--- a/app-tryton/account/account-4.8.8.ebuild Thu May 16 23:15:09 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,38 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
-
-inherit distutils-r1 versionator
-
-DESCRIPTION="Financial and Accounting Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
- dev-python/simpleeval[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-4.8.9.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account/account-4.8.9.ebuild Wed Jun 12 12:05:48 2019 +0200
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 python3_6 )
+
+inherit distutils-r1 versionator
+
+DESCRIPTION="Financial and Accounting Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(get_version_component_range 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
+ dev-python/simpleeval[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(get_version_component_range
1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-5.0.6.ebuild
--- a/app-tryton/account/account-5.0.6.ebuild Thu May 16 23:15:09 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,38 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_4,3_5,3_6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Financial and Accounting Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
- dev-python/simpleeval[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-5.0.7.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account/account-5.0.7.ebuild Wed Jun 12 12:05:48 2019 +0200
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_4,3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Financial and Accounting Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
+ dev-python/simpleeval[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT README doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-5.2.0.ebuild
--- a/app-tryton/account/account-5.2.0.ebuild Thu May 16 23:15:09 2019 +0200
+++ /dev/null Thu Jan 01 00:00:00 1970 +0000
@@ -1,38 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python{3_5,3_6} )
-
-inherit distutils-r1
-
-DESCRIPTION="Financial and Accounting Module"
-HOMEPAGE="http://www.tryton.org/"
-SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="test"
-
-RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
- dev-python/simpleeval[${PYTHON_USEDEP}]"
-DEPEND="${RDEPEND}
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? (
- dev-lang/python[sqlite]
- =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
- )"
-
-S=${WORKDIR}/trytond_${P}
-
-DOCS="CHANGELOG COPYRIGHT doc/*.rst"
-
-python_test() {
- DB_NAME=":memory:" esetup.py test || die
-}
diff -r 283b147fe87c -r 7d7465deb2a6 app-tryton/account/account-5.2.1.ebuild
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/app-tryton/account/account-5.2.1.ebuild Wed Jun 12 12:05:48 2019 +0200
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{3_5,3_6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Financial and Accounting Module"
+HOMEPAGE="http://www.tryton.org/"
+SRC_URI="mirror://pypi/t/trytond_${PN}/trytond_${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="=app-office/trytond-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/party-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/currency-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ =app-tryton/company-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/python-sql-0.7[${PYTHON_USEDEP}]
+ dev-python/simpleeval[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-lang/python[sqlite]
+ =dev-python/proteus-$(ver_cut 1-2)*[${PYTHON_USEDEP}]
+ )"
+
+S=${WORKDIR}/trytond_${P}
+
+DOCS="CHANGELOG COPYRIGHT doc/*.rst"
+
+python_test() {
+ DB_NAME=":memory:" esetup.py test || die
+}